package com.mortals.xhx.module.realtime.model;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.realtime.model.vo.RealtimeDataflowStatVo;
import lombok.Data;
/**
* 人员流量统计实体对象
*
* @author zxfei
* @date 2023-04-19
*/
@Data
public class RealtimeDataflowStatEntity extends RealtimeDataflowStatVo {
    private static final long serialVersionUID = 1L;

    /**
    * 站点Id
    */
    private Long siteId;
    /**
    * 站点名称
    */
    private String siteName;
    /**
    * 人流总数
    */
    private Integer personSum;
    /**
    * 陌生人数量
    */
    private Integer strangerSum;
    /**
    * 识别注册群众数量
    */
    private Integer recoginzeSum;
    /**
    * 年
    */
    private Integer year;
    /**
    * 月
    */
    private Integer month;
    /**
    * 日
    */
    private Integer day;
    /**
    * 小时
    */
    private Integer hour;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof RealtimeDataflowStatEntity) {
            RealtimeDataflowStatEntity tmp = (RealtimeDataflowStatEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

            this.siteId = null;

            this.siteName = "";

            this.personSum = 0;

            this.strangerSum = 0;

            this.recoginzeSum = 0;

            this.year = null;

            this.month = null;

            this.day = null;

            this.hour = null;
    }
}